# Attributes

| Attribute                   | Data Type                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| --------------------------- | ----------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `desiredEgl`                | int                           | the community's desired gas limit [calculated](/protocol-overview/voting/calculating-desiredegl.md) at the end of a voting epoch                                                                                                                                                                                                                                                                                                                                                                   |
| `baselineEgl`               | int                           | the average block gas limit of all blocks in an epoch that include vote transaction                                                                                                                                                                                                                                                                                                                                                                                                                |
| `initialEgl`                | int                           | the actual block gas limit fo the block that deployed the contract                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `tallyVotesGasLimit`        | int                           | the gas limit of the block that contained the successful tally votes function call                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `creatorEglsTotal`          | uint256                       | the total number of EGL's awarded to the creators                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `liquidityEglMatchingTotal` | uint256                       | the total number of EGL's to deploy to Balancer when the pool is created                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `currentEpoch`              | uint16                        | the current active epoch                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `currentEpochStartDate`     | uint256                       | the start date of the current epoch                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `tokensInCirculation`       | uint256                       | the token number of tokens in circulation                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `voterRewardSums`           | uint256\[52]                  | an array of length 52 (max reward epochs) where each index contains the sum of all the vote weights for that epoch                                                                                                                                                                                                                                                                                                                                                                                 |
| `votesTotal`                | uint256\[8]                   | an array of length 8 (max lockup duration) where each index contains the sum of all vote amounts for that epoch                                                                                                                                                                                                                                                                                                                                                                                    |
| `voteWeightsSum`            | uint256\[8]                   | an array of length 8 (max lockup duration) where each index contains the sum of all vote weights that epoch                                                                                                                                                                                                                                                                                                                                                                                        |
| `gasTargetSum`              | uint256\[8]                   | an array of length 8 (max lockup duration) where each index contains the sum of all target gas limit values for that epoch                                                                                                                                                                                                                                                                                                                                                                         |
| `voters`                    | mapping(address => Voter)     | a mapping that maps addresses to `Voter` structs. Represents all votes                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `supporters`                | mapping(address => Supporter) | a mapping that maps addresses to `Supporter` structs. Represents all genesis participants                                                                                                                                                                                                                                                                                                                                                                                                          |
| `seeders`                   | mapping(address => uint256)   | a mapping that maps addresses to the EGL amount given to each signal/seeder account.                                                                                                                                                                                                                                                                                                                                                                                                               |
| `Voter`                     | struct                        | <p>a struct containing the active vote details for each address . The struct has the following attributes:</p><ul><li><code>lockupDuration</code>: number of weeks to lock the vote in for</li><li><code>voteEpoch</code>: the epoch the vote was cast in</li><li><code>releaseDate</code>: the date the EGL's can be withdrawn</li><li><code>tokensLocked</code>: the number of EGL's locked in the contract</li><li><code>gasTarget</code>: the target gas limit the address voted for</li></ul> |
| `Supporter`                 | struct                        | <p>a struct containing the claim status of a genesis participant. The struct has the following attributes:</p><ul><li><code>claimed</code>: whether the address has claimed their EGL's</li><li><code>poolTokens</code>: BPT tokens due to the participant</li><li><code>firstEgl</code>: the participants first serialized EGL</li><li><code>lastEgl</code>: the participants last serialized EGL</li></ul>                                                                                       |
| `votingThreshold`           | uint256                       | the percentage of `eglsInCirculation` that must participate in the vote for `tallyVotes()` to “pass”                                                                                                                                                                                                                                                                                                                                                                                               |
| `eglAmount`                 | unit256                       | Amount of EGL's used for voting                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.egl.vote/appendix/attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
